---
title: get-global-config-backups
product: vercel
url: /docs/rest-api/global-config/get-global-config-backups
canonical_url: "https://vercel.com/docs/rest-api/global-config/get-global-config-backups"
last_updated: 2026-09-08
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about get-global-config-backups on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Get Global Config backups

```http
GET /v1/global-config/{edgeConfigId}/backups
```

Returns backups of a Global Config.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `edgeConfigId` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `next` | string | No |  |
| `limit` | number. min: 0; max: 50 | No |  |
| `metadata` | string | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/global-config/edgeConfigId/backups?next=string&limit=123&metadata=string&teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/global-config/edgeConfigId/backups?next=string&limit=123&metadata=string&teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/global-config/edgeConfigId/backups?next=string&limit=123&metadata=string&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "backups": [
    {
      "metadata": {
        "updatedAt": "string",
        "updatedBy": "string",
        "itemsCount": "123",
        "itemsBytes": "123"
      },
      "id": "icfg_1234567890",
      "lastModified": "123"
    }
  ],
  "pagination": {
    "hasNext": "false",
    "next": "string"
  }
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "backups",
    "pagination"
  ],
  "properties": {
    "backups": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "id",
          "lastModified"
        ],
        "properties": {
          "metadata": {
            "type": "object"
          },
          "id": {
            "type": "string"
          },
          "lastModified": {
            "type": "number"
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "hasNext"
      ],
      "properties": {
        "hasNext": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "next": {
          "type": "string"
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [global-config endpoints](/docs/rest-api#global-config)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
